const AddCss = function(href) {
	D.h('link', {
		href,
		rel: 'stylesheet',
		renderTo: document.head
	})
};
const Input = function(cfg, bind) {
	cfg.type = 'text';
	cfg.onkeyup = cfg.oninput = cfg.onchange = function() {
		store.set(bind, input.value);
	};
	const input = D.h('input', cfg);
	store.sub(bind, function(val) {
		input.value = val;
	});

	return input;
};

const LabeledInput = function(cfg, bind) {
	return D.h('label', {},
		D.div.apply(D, [{cls: 'label_label'}].concat(cfg.label)),
		Input(cfg, bind)
	)
}